[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Dúvida sobre upgrade de versão



Fabiano Manoel de Andrade escreveu:
	Geralmente nessas atualizações existe a necessidade de se fazer o
dist-upgrade mais de uma vez para que o sistema seja totalmente
atualizado. Acho importante que realize uma limpa no sistema. Muito
provavelmente bibliotecas antigas e outras dependências devem estar
ainda instaladas ou com configuração residual. Use o programa deborphan
e remova todas os pacotes indicados por ele. Para remover as
configurações residuais dos pacotes pode usar o comando:
#  dpkg --get-selections | grep deinstall | cut -f 1 | xargs dpkg -P
	Você pode rodar o comando acima sem o último pipe (tirando | xargs dpkg
-P) para ver o que será removido. E por fim, executar:
# aptitude -f install
	Esse comando é bastante agressivo e pode remover muitos pacotes e
dependências. Mas se ele rodar direito, sem  nenhuma mensagem de
instalação/remoção/configuração de pacotes seu sistema estará totalmente
limpo e atualizado ;).
	Abraço.
	Fabiano.


A vontade de acertar e aprender foi maior que o medo de não dar certo :-)
Fabiano, olha a saída do comando:
$ sudo dpkg --get-selections | grep deinstall | cut -f 1
[sudo] password for sergio:
abiword-common
arj
at-spi
binfmt-support
bogofilter-common
bsh
bsh-gcj
bug-buddy
dasher
dasher-data
doc-base
ekiga
eog
evolution
evolution-common
evolution-exchange
fast-user-switch-applet
file-roller
freeglut3
gdb
gedit
gedit-common
ggzcore-bin
gij-4.1
gij-4.3
gimp-print
gnome-accessibility-themes
gnome-cups-manager
gnome-games
gnome-games-data
gnome-mag
gnome-nettool
gnome-orca
gnome-pilot
gnome-system-tools
gnome-themes
gnuchess
gnumeric
gnumeric-common
gok
gs-common
gtk2-engines-spherecrystal
gucharmap
guile-1.6-libs
libasn1-6-heimdal
libatspi1.0-0
libavahi-core4
libavahi-ui0
libavcodec0d
libavcodec1d
libavformat1d
libavutil1d
libbeecrypt6
libbrlapi0.5
libc-ares1
libcamel1.2-8
libcdio6
libcolorblind0
libdc1394-13
libdirectfb-0.9-25
libdjvulibre15
libebook1.2-5
libecal1.2-6
libedata-cal1.2-5
libedataserver1.2-7
libedataserverui1.2-6
libeel2-2.14
libegroupwise1.2-10
libelfg0
libexchange-storage1.2-1
libexchange-storage1.2-3
libflac7
libgail-gnome-module
libgail17
libgcj-common
libgcj7-0
libgcj7-1
libgcj9-0
libgd2-noxpm
libgda3-3
libgda3-common
libggz2
libggzcore9
libggzmod4
libgmime-2.0-2a
libgnome-mag2
libgnome-pilot2
libgnome-speech7
libgnomecupsui1.0-1c2a
libgoffice-0-6
libgpgme11
libgpod0
libgsf-gnome-1-114
libgsl0ldbl
libgssapi2
libgssapi4-heimdal
libgtk-vnc-1.0-0
libgtkglext1
libgtkhtml3.14-19
libgtkhtml3.8-15
libgucharmap4
libguile-ltdl-1
libgutenprintui2-1
libhsqldb-java
libicu36
libicu38
libjaxp1.3-java-gcj
libkrb5-17-heimdal
libldap2
liblog4j1.2-java-gcj
libmdbtools
libmono0
libmyspell3c2
libnautilus-burn3
libneon25
libneon27
libnl1-pre6
libnss3-0d
liboobs-1-3
libopal-2.2
libopal-2.2.0
libpci2
libpisock9
libpisync0
libpisync1
libpoppler-glib2
libpoppler0c2
libpoppler0c2-glib
libpoppler2
libportaudio0
libpostproc0d
libpostproc1d
libpt-1.10.0
libpt-1.10.10
libpth20
libqthreads-12
libroken16-heimdal
librpm4.4
libsoup2.2-8
libspeexdsp1
libsqlite0
libstlport4.6c2
libtotem-plparser1
libvte4
libwps-0.1-1
libxalan2-java-gcj
libxerces2-java-gcj
libxevie1
libxklavier10
mono-common
openoffice.org-base
openoffice.org-core
openoffice.org-filter-binfilter
openoffice.org-gcj
openoffice.org-thesaurus-en-us
openoffice.org-writer
planner
pmount
rpm
seahorse
serpentine
system-config-printer
system-tools-backends
tomboy
vinagre
vino

Essa lista é que vai pro vinagre se eu fizer aptitude -f install? Pelo resultado há algum que possa impedir logar no gnome após a remoção?

Abs

Sérgio


--
Soluções em Automação e Controle
Integrador Autorizado: Metaltex - Atos - Dexter - AllConverge - Dakol - Elipse - Conversoft
Linux User #426387 Linux: A liberdade da escolha. A escolha da liberdade.
      The freedom of the choice. The choice of the freedom.	
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)
iD8DBQFF9vhuJ+YDTomMwA8RAvSAAJoDwkzHJK3P98vEDx5pJxeyT3xyzgCg22/u
W/MTldaxqdeNLjlWF49wpig=
=MVB7
-----END PGP SIGNATURE-----



Reply to: